Description

1. Move links under the general dropdown

 general_dropdown.png 

2. Make "Also available in" a dropdown and move it to the contextual area.

 also_available_in_dropdown.png 

3. Same as 2, but instead of the "Also available in" text, use an icon (to save some space). The download icon maybe is not the best,

but it is enough to see how it looks.

 also_available_in_icon_dropdown.png 

4. Old proposal that just moves the links on the same line with pagination elements on non responsive mode.

 after.png 

Current implementation:

 current.png 

Feedback is welcomed.

History

#1 - 2019-04-28 23:42 - Marius BĂLTEANU

- Description updated

#2 - 2019-04-29 12:29 - Marius BĂLTEANU

- Subject changed from Move other formats links on the same line with pagination to Move "Also available in" links on the same line with pagination

#3 - 2019-04-30 15:40 - Kirill Bezrukov (RedmineUP)

+

#4 - 2019-05-05 10:36 - Marius BĂLTEANU

- File general_dropdown.png added

- File also_available_in_icon_dropdown.png added

- File also_available_in_dropdown.png added

- Subject changed from Move "Also available in" links on the same line with pagination to Move "Also available in" links under a dropdown in the

contextual area

- Description updated

Working on moving the "Also available in" link on the same line with pagination elements, I've realized that the change is not quite a real improvement

and the links still:

- looks awkward on some screen sizes

- are hard to find by users when there is a lot of content on the page (ex: Projects, Activity, Issues,  Wiki, etc).

I'm updating the description of this issue with some UI alternatives that move the links from the bottom of the page to the contextual area.

I'm in favour of option 3.

#5 - 2019-05-05 10:37 - Marius BĂLTEANU
- Subject changed from Move "Also available in" links under a dropdown in the contextual area to Improve "Also available in" links 

#6 - 2019-05-06 10:47 - Bernhard Rohloff

I like option 3 the most, too. IMHO putting them inside the contextual menu is the proper and most clean way.

Marius Ionescu what do you think. Shouldn't it also be two separate entries for subscribing the atom feed and downloading the issue/page?

#7 - 2019-05-07 09:41 - Marius BĂLTEANU

Bernhard Rohloff wrote:

Marius Ionescu what do you think. Shouldn't it also be two separate entries for subscribing the atom feed and downloading the issue/page?

 Are you referring to have in the contextual area two icons? one for Atom and another one with a dropdown for CSV and PDF?

#8 - 2019-05-07 14:07 - Bernhard Rohloff

Marius BALTEANU wrote:

Bernhard Rohloff wrote:

Marius Ionescu what do you think. Shouldn't it also be two separate entries for subscribing the atom feed and downloading the issue/page?

 Are you referring to have in the contextual area two icons? one for Atom and another one with a dropdown for CSV and PDF?

 Yes, that's exactly what I meant. For me the download button is not the same as a subscription link and I would never assume to find it there.

I also think that it would help to give the icon a descriptive label so users find their choices easier.

#9 - 2019-05-07 19:58 - Marius BĂLTEANU

Bernhard Rohloff wrote:

Marius BALTEANU wrote:

Bernhard Rohloff wrote:

Marius Ionescu what do you think. Shouldn't it also be two separate entries for subscribing the atom feed and downloading the

issue/page?

 Are you referring to have in the contextual area two icons? one for Atom and another one with a dropdown for CSV and PDF?

 Yes, that's exactly what I meant. For me the download button is not the same as a subscription link and I would never assume to find it there.

I also think that it would help to give the icon a descriptive label so users find their choices easier.

 Right now all three options are together, maybe a more neutral icon (like export to) with "Also available in" title is enough. I'm saying that only

because I'm afraid to not add to many icons to the contextual area.

#10 - 2019-05-09 06:42 - Bernhard Rohloff

Marius BALTEANU wrote:

...

Right now all three options are together, maybe a more neutral icon (like export to) with "Also available in" title is enough. I'm saying that only

because I'm afraid to not add to many icons to the contextual area.

 I share your concerns about bloating the contextual menu with more options but I would argue that it's way easier for the user to have labels that

make crystal clear what he/she/it can do with it. If there's a button subscribe than the user knows one can subscribe to a feed. This is somewhat also

the case with the current solution. My concern is that if you hide the options behind a vague description of the real purpose, some users wouldn't even

discover their options.

At the moment, I can see only two really packed contextual menus. On wiki pages and the issue view. The others have only one or two items. As the

count of items in this menu increase it would also make sense to hide some of them behind the currently introduced 3dot menu.
